Index: apps/app_read.c
===================================================================
--- apps/app_read.c	(revision 85883)
+++ apps/app_read.c	(working copy)
@@ -127,8 +130,13 @@
 		tosec = atof(arglist.timeout);
 		if (tosec <= 0)
 			to = 0;
-		else
+		else {
 			to = tosec * 1000.0;
+			if (to <= 0) {
+				/* Make sure we don't use the default timeout. */
+				to = 1;
+			}
+		}
 	}
 
 	if (ast_strlen_zero(arglist.filename)) {
